Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.context.variable
Class Variable

    java.lang.Object
      org.jbpm.process.core.context.variable.Variable

All Implemented Interfaces:
  Serializable, org.drools.process.core.TypeObject, ValueObject

    public class Variable

extends Object
implements org.drools.process.core.TypeObject, ValueObject, Serializable

Default implementation of a variable.

See Also:
  Serialized Form

Constructor Summary
`Variable()`

Method Summary
`Map<String,Object>` | `getMetaData()`
`Object` | `getMetaData(String name)`
`String` | `getName()`
`org.drools.process.core.datatype.DataType` | `getType()`
`Object` | `getValue()`
`void` | `setMetaData(String name, Object value)`
`void` | `setName(String name)`
`void` | `setType(org.drools.process.core.datatype.DataType type)`
`void` | `setValue(Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Variable

    public Variable()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getType

    public org.drools.process.core.datatype.DataType getType()

  Specified by:
    `getType` in interface `org.drools.process.core.TypeObject`

### setType

    public void setType(org.drools.process.core.datatype.DataType type)

  Specified by:
    `setType` in interface `org.drools.process.core.TypeObject`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `ValueObject`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `ValueObject`

### setMetaData

    public void setMetaData(String name,
                            Object value)

### getMetaData

    public Object getMetaData(String name)

### getMetaData

    public Map<String,Object> getMetaData()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.